Summary:	Subroutines for solving large scale eigenvalue problems
Summary(pl):	Rozwizywanie zagadnienia wasnego dla duych macierzy
Name:		arpack
Version:	2.1
Release:	3
License:	Freely distributable
Group:		Libraries
Source0:	http://www.caam.rice.edu/software/ARPACK/SRC/%{name}96.tar.gz
# Source0-md5:	fffaa970198b285676f4156cebc8626e
Source1:	http://www.caam.rice.edu/software/ARPACK/SRC/patch.tar.gz
# Source1-md5:	14830d758f195f272b8594a493501fa2
Source2:	http://www.caam.rice.edu/software/ARPACK/SRC/ug.ps.gz
# Source2-md5:	79cc51e4812c75873adafcad2185842e
Source3:	http://www.caam.rice.edu/software/ARPACK/SRC/P57_58.ps.gz
# Source3-md5:	b86d77199f989fc438acaf7ac0433e76
Source4:	http://www.caam.rice.edu/software/ARPACK/SRC/P61_62.ps.gz
# Source4-md5:	d116887acb3d61fecf645c2d37d4d517
Patch0:		%{name}-automake_support.patch
URL:		http://www.caam.rice.edu/software/ARPACK/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-g77
BuildRequires:	blas-devel
BuildRequires:	libtool	>= 1:1.4.2-9
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ARPACK software is capable of solving large scale symmetric,
nonsymmetric, and generalized eigenproblems from significant
application areas. The software is designed to compute a few (k)
eigenvalues with user specified features such as those of largest real
part or largest magnitude. Storage requirements are on the order of
n*k locations. No auxiliary storage is required. A set of Schur basis
vectors for the desired k-dimensional eigen-space is computed which is
numerically orthogonal to working precision. Numerically accurate
eigenvectors are available on request.

%description -l pl
Rozwizywanie zagadnienia wasnego (symetrycznego, niesymetrycznego,
oglnego) dla duych macierzy. Macierz moe by dowolna, przy czym
procedury dziaaj szczeglnie dobrze w przypadku duych macierzy
rzadkich bd macierzy ze znan struktur. Biblioteka suy do
obliczenia kilku (k) wartoci wasnych o zadanych z gry wasnociach,
takich jak najwiksza (najmniejsza) cz rzeczywista albo najwikszy
(najmniejszy) modu. Wymagania pamiciowe s rzedu n*k, adna
dodatkowa pami (np. dyskowa) nie jest wymagana.

%package devel
Summary:	ARPACK development files
Summary(pl):	Pliki programistyczne ARPACK
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	blas-devel

%description devel
ARPACK development files.

%description devel -l pl
Pliki programistyczne ARPACK.

%package static
Summary:	Static ARPACK library
Summary(pl):	Statyczna biblioteka ARPACK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static ARPACK library.

%description static -l pl
Statyczna biblioteka ARPACK.

%prep
%setup -q -n ARPACK -b1
%patch -p1
cp %{SOURCE2} .
cp %{SOURCE3} .
cp %{SOURCE4} .

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

# libtool 1.4d requires --tag for g77, libtool 1.4.2 fails when --tag is passed
LTTAG=""
grep -q -e '--tag' `which libtool` && LTTAG="--tag=F77"

%{__make} \
	LTTAG="$LTTAG"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libarpack.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libarpack.so
%doc DOCUMENTS/*.doc *.ps.gz
%{_libdir}/libarpack.la

%files static
%defattr(644,root,root,755)
%{_libdir}/libarpack.a
